Mail archive
alpine-aports

[alpine-aports] [PATCH] main/harfbuzz: upgrade to 1.3.1

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sun, 11 Sep 2016 15:38:04 -0400

---
 main/harfbuzz/APKBUILD | 23 ++++++++++-------------
 1 file changed, 10 insertions(+), 13 deletions(-)
diff --git a/main/harfbuzz/APKBUILD b/main/harfbuzz/APKBUILD
index 711ad9e..7e3993e 100644
--- a/main/harfbuzz/APKBUILD
+++ b/main/harfbuzz/APKBUILD
_at_@ -1,23 +1,20 @@
 # Contributor: Sören Tempel <soeren+alpinelinux_at_soeren-tempel.net>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=harfbuzz
-pkgver=1.3.0
+pkgver=1.3.1
 pkgrel=0
 pkgdesc="Text shaping library"
 url="http://freedesktop.org/wiki/Software/HarfBuzz"
 arch="all"
 license="MIT"
 depends=""
-depends_dev=""
-makedepends="$depends_dev freetype-dev glib-dev cairo-dev icu-dev
-	graphite2-dev"
-install=""
+makedepends="freetype-dev glib-dev cairo-dev icu-dev graphite2-dev"
 subpackages="$pkgname-dev $pkgname-icu"
-source="http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-$pkgver.tar.bz2"
+source="http://www.freedesktop.org/software/$pkgname/release/$pkgname-$pkgver.tar.bz2"
 
-_builddir="$srcdir"/harfbuzz-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -33,8 +30,8 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make install DESTDIR="$pkgdir" || return 1
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
 dev() {
_at_@ -49,6 +46,6 @@ icu() {
 	mv "$pkgdir"/usr/lib/lib*icu.so.* "$subpkgdir"/usr/lib/
 }
 
-md5sums="a82d49ff67197bc3c96ea34b98880c52  harfbuzz-1.3.0.tar.bz2"
-sha256sums="b04be31633efee2cae1d62d46434587302554fa837224845a62565ec68a0334d  harfbuzz-1.3.0.tar.bz2"
-sha512sums="6a5b917e47233eebd8ecb36f24b4eb189c3bacc920b7ca8f8f1bc1036fedaba0b415727a4cc2836956eea48e8dabc63b117789331a9b27201731ab99bf0c2399  harfbuzz-1.3.0.tar.bz2"
+md5sums="3ec86969a58f2d687bbbf27e5ebd4ee7  harfbuzz-1.3.1.tar.bz2"
+sha256sums="a242206dd119d5e6cc1b2253c116abbae03f9d930cb60b515fb0d248decf89a1  harfbuzz-1.3.1.tar.bz2"
+sha512sums="7c2dbd1cc3c77646fd7627c4db9ac1a5781fb4babe8a92b276b2f2170f82d7075632253c7498c27735c5aa7331ee22d41e24c3a8cfa07adc2461ece1e36334b9  harfbuzz-1.3.1.tar.bz2"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Sep 11 2016 - 15:38:04 GMT